#include <bits/stdc++.h>

using namespace std;

#define pb push_back
#define eb emplace_back
#define fr first
#define sc second
#define pii pair<int,int>
#define all(x) x.begin(), x.end()
#define int long long

const int N = 2e3;
vector<pii > g[N];
int p[N];

int n;
int rt = -1;

void dfs(int v, int pathlen, int d) {
    if (pathlen == n) {
        vector<int> go;
        while (v != -1) {
            go.pb(v);
            v = p[v];
        }
        reverse(all(go));
        cout << "Yes" << endl;
        for (int x : go) cout << x + 1 << " ";
        exit(0);
    }
    for (auto x : g[v]) {
        int u = x.fr;
        int w = x.sc;
        if (p[u] == -1 && w == d && u != rt) {
            p[u] = v;
            dfs(u, pathlen + 1, d);
        }
    }
    p[v] = -1;
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n;
    vector<pair<int, int>> v(n);
    int d = -1;
    for (int i = 0; i < n; ++i) {
        int m, s;
        cin >> m >> s;
        int last = -1;
        for (int j = 0; j < m; ++j) {
            int pi;
            cin >> pi;
            if (last == -1) {
                v[i].fr = pi;
            }
            v[i].sc = s - pi;
            if (last != -1) {
                if (d == -1)d = pi - last;
                else if (pi - last != d) {
                    cout << "No";
                    return 0;
                }
            }
            last = pi;
        }
    }
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (i == j)continue;
            g[i].pb({j, v[i].sc + v[j].fr});
        }
    }
    fill(p, p + n, -1);
//    for (int i = 0; i < n; ++i) {
//        cout << i << endl;
//        for (auto z : g[i])cout << z.fr << " " << z.sc << endl;
//    }
    for (int i = 0; i < n; ++i) {
        rt = i;
        dfs(i, 1, d);
    }

//    vector<int> perm(n);
//    for (int i = 0; i < n; ++i)perm[i] = i;
//
//    int it = 0;
//    while (it++ < (int) 1e5) {
//        int dist = d;
//
//        int last = v[perm[0]].sc;
//        bool bad = false;
//        for (int i = 1; i < n; ++i) {
//            int now = v[perm[i]].fr;
//            if (dist == -1)dist = now + last;
//            else if (now + last != dist) {
//                bad = true;
//                break;
//            }
//            last = v[perm[i]].sc;
//        }
//        if (!bad) {
//            cout << "Yes" << endl;
//            for (int x : perm)cout << x + 1 << " ";
//            return 0;
//        }
//        bool f = next_permutation(all(perm));
//        if (!f) break;
//    }
    cout << "No";
}